## pgbackrest 1.02

=== debian/changelog ===
pgbackrest (1.02-2) unstable; urgency=medium

  * Implicit use SOURCE_DATE_EPOCH in txt2man. Remove MANDATE.
  * Build docs with custom variable "html-footer" to get a reproducible
    build.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 20 Jun 2016 14:02:52 +0200

pgbackrest (1.02-1) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * New upstream release.
  * Drop patches included in upstream version.
  * Ship manpage based on upstream template.
  * Change owner of pgbackrest.conf to postgres.
  * Change architecture from any to all.
  * Modify package description.
  * Remove PostgreSQL version from stanza example.

  [ Christoph Berg ]
  * debian/tests: Add simple "version" test.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 13 Jun 2016 13:16:50 +0200

pgbackrest (1.01-1) unstable; urgency=medium

  * New upstream release.
  * Add libdbd-pg-perl to Depends.
  * Add postgresql-common to Depends.
  * Change owner of pgbackrest directories to postgres in postinst.
  * Bump standards version.
  * Create a pgbackrest-doc package which contains the html documentation.
  * Ship own manage.
  * patches:
    * add upstream sprintf patch
    * add upstream documentation patches

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 01 Jun 2016 20:57:29 +0200

pgbackrest (1.00-1) unstable; urgency=medium

  * New upstream release.
  * Rename config file from pg_backrest.conf to pgbackrest.conf.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 03 May 2016 20:48:13 +0200

pgbackrest (0.9-1) unstable; urgency=medium

  * Initial release

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sun, 13 Mar 2016 17:29:17 +0100
