=== debian/rules ===
#!/usr/bin/make -f

MANTEMPLATE="${CURDIR}/doc/output/man/pgbackrest.1.txt"

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
	  --var=project-url-root=index.html --exclude=backlog \
	  --var="html-footer=Copyright &copy;2015-2016, The PostgreSQL Global Development Group."
	txt2man \
	  -v "pgBackRest Command Reference" \
	  -t pgbackrest \
	  -s 1 \
	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
	dh_auto_build
