## pgbackrest 1.04

=== debian/changelog ===
pgbackrest (1.04-2) unstable; urgency=medium

  * Change postinst behaviour. Only set permissions if
    no prior version was installed.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 02 Aug 2016 11:34:57 +0200

pgbackrest (1.04-1) unstable; urgency=medium

  * New upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 30 Jul 2016 16:47:25 +0200

pgbackrest (1.03-1) unstable; urgency=medium

  * New upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 04 Jul 2016 07:54:34 +0200
