=== debian/control ===
Source: pgbackrest
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Build-Depends: debhelper (>= 9),
 libxml-checker-perl,
 txt2man
Standards-Version: 3.9.8
Homepage: http://www.pgbackrest.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git

Package: pgbackrest
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libdbd-pg-perl, postgresql-common
Suggests: pgbackrest-doc
Description: Reliable PostgreSQL Backup & Restore
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.

Package: pgbackrest-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation package for pgbackrest
 The pgBackRest documentation contains detailed information about the
 configuration and usage of pgBackRest.
 .
 pgBackRest is a simple, reliable backup and restore system for PostgreSQL
 that can seamlessly scale up to the largest databases and workloads.
