=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	perl $(CURDIR)/doc/doc.pl --out=man --out=html --cache-only \
 	  --var=project-url-root=index.html --exclude=backlog \
-	  --var="html-footer=Copyright &copy;2015-2016, The PostgreSQL Global Development Group."
+	  --var=release-date-static=y
 	txt2man \
 	  -v "pgBackRest Command Reference" \
 	  -t pgbackrest \
