## pgbackrest 1.12

=== debian/changelog ===
pgbackrest (1.12-1) unstable; urgency=medium

  * New Upstream release.
  * Update rules files to clean up build files.
  * Run wrap-and-sort.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 15 Dec 2016 10:30:19 +0100

pgbackrest (1.11-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 18 Nov 2016 08:16:24 +0100

pgbackrest (1.10-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 10 Nov 2016 17:30:43 +0100

pgbackrest (1.09-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 11 Oct 2016 09:01:49 +0200

pgbackrest (1.08-1) unstable; urgency=medium

  * New Upstream releaase.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 15 Sep 2016 10:12:21 +0200

pgbackrest (1.07-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 07 Sep 2016 14:39:04 +0200

pgbackrest (1.06-1) unstable; urgency=medium

  * New Upstream release.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 26 Aug 2016 11:58:18 +0200
