=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9),
- libxml-checker-perl,
- txt2man
+Build-Depends: debhelper (>= 9), libxml-checker-perl, txt2man
 Standards-Version: 3.9.8
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
@@ -13,7 +11,7 @@
 
 Package: pgbackrest
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libdbd-pg-perl, postgresql-common
+Depends: libdbd-pg-perl, postgresql-common, ${misc:Depends}, ${perl:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
