=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,7 @@
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
 	dh_auto_build
+
+override_dh_auto_clean:
+	rm -rf $(CURDIR)/doc/output
+	dh_auto_clean
