=== debian/tests/control ===
Depends: @
Tests: version
Restrictions: allow-stderr
