## pgbackrest 1.22

=== debian/changelog ===
pgbackrest (1.22-1) unstable; urgency=medium

  * New Upstream release:
    - Retry after internal S3 errors
    - Changed info command output
    - Configurable ssh ports (--backup-ssh-port / --db-ssh-port)
    - See http://www.pgbackrest.org/release.html#1.21 as well as #1.22

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 10 Aug 2017 10:17:56 +0200

pgbackrest (1.20-1) unstable; urgency=medium

  * New Upstream release:
    - See http://www.pgbackrest.org/release.html#1.19
  * Bump Standards-Version to 4.0.0.
  * Disable libc test on big-endian systems (Closes: #865545).
    The current test implementation doesn't work on big-endian systems.
  * Drop patches merged by upstream.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 28 Jun 2017 08:38:49 +0200

pgbackrest (1.19-1) unstable; urgency=medium

  * New Upstream release:
    - This release introduces S3 Support.
    - see http://www.pgbackrest.org/release.html#1.19 for more information.
  * d/rules: Run libc tests through dh_auto_test.
  * d/tests: Use -k to enable checksums for initdb in tests suite.
  * d/patches: Fix format in libc (%u vs %lu).
  * d/patches: Add upstream patch to fix libc alignment on 32 bit systems.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 15 Apr 2017 11:34:48 +0200

pgbackrest (1.18-1) unstable; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.18
  * debian/tests: add a simple test suite.
    Thanks to Hendrik Siewert.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 13 Apr 2017 15:54:51 +0200

pgbackrest (1.17-2) experimental; urgency=medium

  * Build the C-library without a packlist to make the build
    reproducible.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 17 Mar 2017 22:32:04 +0100

pgbackrest (1.17-1) experimental; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.17

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 14 Mar 2017 07:59:05 +0100

pgbackrest (1.16-1) experimental; urgency=medium

  * New Upstream release.
    See http://www.pgbackrest.org/release.html#1.15.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 03 Mar 2017 11:33:02 +0100

pgbackrest (1.15-1) experimental; urgency=medium

  * New Upstream release.
  * Build and ship new C-Library
  * Change architecture from all to any

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 11 Feb 2017 21:55:21 +0100
