=== debian/control ===
--- 
+++ 
@@ -3,15 +3,23 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
-Build-Depends: debhelper (>= 9), libxml-checker-perl, txt2man
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               libio-socket-ssl-perl,
+               libxml-checker-perl,
+               libxml-libxml-perl,
+               txt2man
+Standards-Version: 4.0.0
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git
 
 Package: pgbackrest
-Architecture: all
-Depends: libdbd-pg-perl, postgresql-common, ${misc:Depends}, ${perl:Depends}
+Architecture: any
+Depends: libdbd-pg-perl,
+         postgresql-common,
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Suggests: pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
