## pgbackrest 1.25

=== debian/changelog ===
pgbackrest (1.25-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix custom settings for compress-level option being ignored.
      * Remove error when overlapping timelines are detected. Overlapping
        timelines are valid in many Point-in-Time-Recovery (PITR) scenarios.
      * Fix instances where database-id was not rendered as an integer in JSON
        info output.
    - Features:
      * Improve performance of list requests on S3.
    - See http://www.pgbackrest.org/release.html#1.25
  * Bump Standards-Version to 4.1.1.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 25 Oct 2017 15:17:11 +0200

pgbackrest (1.24-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue where warnings were being emitted in place of lower
        priority log messages during backup from standby initialization.
      * Fixed an issue where some db-* options (e.g. db-port) were not
        being passed to remotes.
    - Features:
      * Exclude contents of pg_snapshots, pg_serial, pg_notify, and
        pg_dynshmem from backup since they are rebuilt on startup.
      * Exclude pg_internal.init files from backup since they are rebuilt
        on startup.
    - See http://www.pgbackrest.org/release.html#1.24

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 29 Sep 2017 10:33:45 +0200

pgbackrest (1.23-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that could cause compression to abort on growing files.
      * Fixed an issue with keep-alives not being sent to the remote from the
        local process.
    - Features:
      * Up to seven standbys can be configured for backup from standby.
      * PostgreSQL 10 support.
      * Allow content-length (in addition to chunked encoding) when reading
        XML data to improve compatibility with third-party S3 gateways.
    - Refactoring:
      * Configuration rules are now pulled from the C library when present.
      * Increase HTTP timeout for S3.
      * Add HTTP retries to harden against transient S3 network errors.
    - See http://www.pgbackrest.org/release.html#1.23

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 04 Sep 2017 10:23:18 +0200
