=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libxml-checker-perl,
                libxml-libxml-perl,
                txt2man
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git
