## pgbackrest 1.26

=== debian/changelog ===
pgbackrest (1.26-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that could cause copying large manifests to fail during
        restore.
      * Fixed incorrect WAL offset for 32-bit architectures.
      * Fixed an issue retrieving WAL for old database versions. After a
        stanza-upgrade it should still be possible to restore backups from the
        previous version and perform recovery with archive-get. However,
        archive-get only checked the most recent db version/id and failed.
        Also clean up some issues when the same db version/id appears multiple
        times in the history.
      * Fixed an issue with invalid backup groups being set correctly on
        restore. If the backup cannot map a group to a name it stores the
        group in the manifest as false then uses either the owner of $PGDATA
        to set the group during restore or failing that the group of the
        current user.  This logic was not working correctly because the
        selected group was overwriting the user on restore leaving the group
        undefined and the user incorrectly set to the group.
      * Fixed an issue passing parameters to remotes. When more than one db
        was specified the path, port, and socket path would for db1 were
        passed no matter which db was actually being addressed.
    - Features:
      * Repository encryption support.
    - See http://www.pgbackrest.org/release.html#1.26
  * d/control: Add libssl-dev to B-D.
  * d/tests: Fix error handling in "suite" test

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 22 Nov 2017 22:11:32 +0100
