=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                libio-socket-ssl-perl,
                libxml-checker-perl,
                libxml-libxml-perl,
+               libssl-dev,
                txt2man
 Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/
