## pgbackrest 2.01

=== debian/changelog ===
pgbackrest (2.01-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fix --target-action and --recovery-option options being reported as
        invalid when restoring with --type=immediate.
      * Immediately error when a secure option (e.g. repo1-s3-key) is passed
        on the command line. Since pgBackRest would not pass secure options
        on to sub-processes an obscure error was thrown. The new error is much
        clearer and provides hints about how to fix the problem. Update
        command documentation to omit secure options that cannot be specified
        on the command-line.
      * Fix issue passing --no-config to embedded Perl.
      * Fix issue where specifying log-level-stderr > warn would cause a
        local/remote process to error on exit due to output found on
        stderr when none was expected. The max value for a local/remote
        process is now error since there is no reason for these processes to
        emit warnings.
      * Fix manifest test in the check command when tablespaces are present.
    - Improvements:
      * Error when multiple arguments are set in the config file for an
        option that does not accept multiple arguments.
      * Remove extraneous sudo commands from src/Makefile.
    - See http://pgbackrest.org/release.html#2.01
  * d/patches:
    - Drop Makefile patch.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 21 Mar 2018 12:11:46 +0100

pgbackrest (2.00-1) unstable; urgency=medium

  * New Upstream release:
    - Features:
      * The archive-push command is now partially coded in C which allows
        the PostgreSQL archive_command to run significantly faster when
        processing status messages from the asynchronous archive process.
    - Improvements:
      * Improve check command to verify that the backup manifest can be
        built.
      * Improve performance of HTTPS client. Buffering now takes the
        pending bytes on the socket into account (when present) rather than
        relying entirely on select(). In some instances the final bytes
    	would not be flushed until the connection was closed.
      * Improve S3 delete performance. The constant S3_BATCH_MAX had been
        replaced with a hard-coded value of 2, probably during testing.
      * Allow any non-command-line option to be reset to default on the
        command-line. This allows options in pgbackrest.conf to be reset
    	to default which reduces the need to write new configuration filesfor
    	specific needs.
      * The C library is now required. This eliminates conditional loading and
        eases development of new library features.
      * The pgbackrest executable is now a C binary instead of Perl. This
        allows certain time-critical commands (like async archive-push) to run
        more quickly.
      * Rename db-* options to pg-* and backup-* options to repo-* to
        improve consistency. repo-* options are now indexed although currently
        only one is allowed.
    - See http://pgbackrest.org/release.html#2.00

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 27 Feb 2018 17:12:39 +0100

pgbackrest (1.28-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed inability to restore a single database contained in a tablespace
        using --db-include.
      * Ensure latest db-id is selected on when matching archive.info to
        backup.info. This provides correct matching in the event there are
        system-id and db-version duplicates (e.g. after reverting a
        pg_upgrade).
      * Fixed overly chatty error message when reporting an invalid command.
    - Features:
      * Add stanza-delete command to cleanup unused stanzas.
    - Improvements:
      * Improve stanza-create command so that it does not error when the
        stanza already exists.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 03 Feb 2018 14:58:32 +0100

pgbackrest (1.27-1) unstable; urgency=medium

  * New Upstream release:
    - Bug Fixes:
      * Fixed an issue that suppressed locality errors for backup and restore.
        When a backup host is present, backups should only be allowed on the
        backup host and restores should only be allowed on the database host
        unless an alternate configuration is created that ignores the remote
        host.
      * Fixed an issue where WAL was not expired on PostgreSQL 10. This was
        caused by a faulty regex that expected all PostgreSQL major versions
        to be X.X.
      * Fixed an issue where the --no-config option was not passed to child
        processes. This meant the child processes would still read the local
        config file and possibly cause unexpected behaviors.
      * Fixed info command to eliminate "db (prior)" output if no backups or
        archives exist for a prior version of the cluster.
    - See http://pgbackrest.org/release.html#1.27

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 21 Dec 2017 17:59:43 +0100
