## pgbackrest 2.02

=== debian/changelog ===
pgbackrest (2.02-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pgbackrest-source-
    distribution=wheezy-37,
    7a0ffb10b96dbfd85d438cc6f63feab5f29c3519/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 07 May 2018 13:57:22 +0200

pgbackrest (2.02-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Install C module to "vendor" directory. Thanks Niko Tyni!
    (Closes: #896121)

  [ Adrian Vondendriesch ]
  * New Upstream release:
    - Bug Fixes
      * Fix directory syncs running recursively when only the specified
        directory should be synced.
      * Fix archive-copy throwing "path not found" error for incr/diff
        backups.
      * Fix failure in manifest build when two or more files in PGDATA are
        linked to the same directory.
      * Fix delta restore failing when a linked file is missing.
      * Fix rendering of key/value and list options in help.
    - Features:
      * Add asynchronous, parallel archive-get. This feature maintains a queue
        of WAL segments to help reduce latency when PostgreSQL requests a WAL
        segment with restore_command.
      * Add support for additional pgBackRest configuration files in the
        directory specified by the --config-include-path option. Add
        --config-path option for overriding the default base path of the
        --config and --config-include-path option.
      * Add repo-s3-token option to allow temporary credentials tokens to be
        configured. pgBackRest currently has no way to request new credentials
        so the entire command (e.g. backup, restore) must complete before the
        credentials expire.
    - Improvements:
      * Update the archive-push-queue-max, manifest-save-threshold, and
        buffer-size options to accept values in KB, MB, GB, TB, or PB where
        the multiplier is a power of 1024.
      * Make backup/restore path sync more efficient. Scanning the entire
        directory can be very expensive if there are a lot of small tables.
        The backup manifest contains the path list so use it to perform syncs
        instead of scanning the backup/restore path.
      * Show command parameters as well as command options in initial info log
        message.
      * Rename archive-queue-max option to archive-push-queue-max to avoid
        confusion with the new archive-get-queue-max option. The old option
        name will continue to be accepted

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 25 Apr 2018 11:35:11 +0200
