=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
+               libperl-dev,
                libio-socket-ssl-perl,
+               libssl-dev,
                libxml-checker-perl,
                libxml-libxml-perl,
-               libssl-dev,
                txt2man
 Standards-Version: 4.1.1
 Homepage: http://www.pgbackrest.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgbackrest.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgbackrest.git
+Vcs-Git: https://salsa.debian.org/postgresql/pgbackrest.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgbackrest
 
 Package: pgbackrest
 Architecture: any
