=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	  -t pgbackrest \
 	  -s 1 \
 	  ${MANTEMPLATE} > ${CURDIR}/doc/output/man/pgbackrest.1
-	cd $(CURDIR)/libc; perl Makefile.PL PREFIX=/usr NO_PACKLIST=1
+	cd $(CURDIR)/libc; perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
 	make -C $(CURDIR)/libc/
 	make -C $(CURDIR)/src/
 	dh_auto_build
