## pgbackrest 2.04

=== src/Makefile ===
--- 
+++ 
@@ -14,10 +14,11 @@
 COPT = -O2
 
 # Locations of header files
-CINCLUDE = -I.
+CINCLUDE = -I. -I../libc
 
 # Compile warnings
-CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wno-clobbered -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral
+CWARN = -Wfatal-errors -Wall -Wextra -Wwrite-strings -Wswitch-enum -Wconversion -Wformat=2 -Wformat-nonliteral \
+		-Wno-clobbered -Wno-missing-field-initializers
 
 # Automatically generate Perl compile options for the local system
 CPERL = `perl -MExtUtils::Embed -e ccopts`
@@ -41,7 +42,7 @@
 LDEXTRA =
 
 # Concatenate options for easy usage
-LDFLAGS = $(LDPERL) $(LDEXTRA)
+LDFLAGS = -lcrypto $(LDPERL) $(LDEXTRA)
 
 ####################################################################################################################################
 # Install options
@@ -53,17 +54,27 @@
 # List of required source files.  main.c should always be listed last and the rest in alpha order.
 ####################################################################################################################################
 SRCS = \
+	command/archive/common.c \
+	command/archive/get/get.c \
 	command/archive/push/push.c \
 	command/help/help.c \
 	command/command.c \
+	common/debug.c \
+	common/encode.c \
+	common/encode/base64.c \
 	common/error.c \
 	common/exit.c \
+	common/fork.c \
+	common/io/handle.c \
 	common/ini.c \
+	common/lock.c \
 	common/log.c \
 	common/memContext.c \
 	common/regExp.c \
+	common/stackTrace.c \
 	common/time.c \
 	common/type/buffer.c \
+	common/type/convert.c \
 	common/type/keyValue.c \
 	common/type/list.c \
 	common/type/string.c \
@@ -75,8 +86,20 @@
 	config/define.c \
 	config/load.c \
 	config/parse.c \
+	crypto/cipherBlock.c \
+	crypto/hash.c \
+	crypto/crypto.c \
+	crypto/random.c \
 	perl/config.c \
 	perl/exec.c \
+	postgres/info.c \
+	postgres/pageChecksum.c \
+	storage/driver/posix/driver.c \
+	storage/driver/posix/driverFile.c \
+	storage/driver/posix/driverRead.c \
+	storage/driver/posix/driverWrite.c \
+	storage/fileRead.c \
+	storage/fileWrite.c \
 	storage/helper.c \
 	storage/storage.c \
 	main.c
@@ -90,12 +113,70 @@
 pgbackrest: $(OBJS)
 	$(CC) -o pgbackrest $(OBJS) $(LDFLAGS)
 
-.c.o:
-	$(CC) $(CFLAGS) -c $< -o $@
-
 ####################################################################################################################################
 # Installation.  DESTDIR can be used to modify the install location.
 ####################################################################################################################################
 install: pgbackrest
 	install -d $(DESTDIR)/usr/bin
 	install -m 755 pgbackrest $(DESTDIR)/usr/bin
+
+####################################################################################################################################
+# Compile rules
+####################################################################################################################################
+command/archive/common.o: command/archive/common.c command/archive/common.h common/assert.h common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h postgres/version.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/common.c -o command/archive/common.o
+
+command/archive/get/get.o: command/archive/get/get.c command/archive/common.h command/command.h common/assert.h common/debug.h common/error.auto.h common/error.h common/fork.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h postgres/info.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/get/get.c -o command/archive/get/get.o
+
+command/archive/push/push.o: command/archive/push/push.c command/archive/common.h command/command.h common/debug.h common/error.auto.h common/error.h common/fork.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h config/config.auto.h config/config.h config/define.auto.h config/define.h config/load.h perl/exec.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c command/archive/push/push.c -o command/archive/push/push.o
+
+command/command.o: command/command.c common/assert.h common/debug.h common/error.auto.h common/error.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/time.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
+	$(CC) $(CFLAGS) -c command/command.c -o command/command.o
+
+command/help/help.o: command/help/help.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/handle.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h version.h
+	$(CC) $(CFLAGS) -c command/help/help.c -o command/help/help.o
+
+common/debug.o: common/debug.c common/debug.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/debug.c -o common/debug.o
+
+common/encode.o: common/encode.c common/debug.h common/encode.h common/encode/base64.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/encode.c -o common/encode.o
+
+common/encode/base64.o: common/encode/base64.c common/debug.h common/encode/base64.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/encode/base64.c -o common/encode/base64.o
+
+common/error.o: common/error.c common/error.auto.c common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h
+	$(CC) $(CFLAGS) -c common/error.c -o common/error.o
+
+common/exit.o: common/exit.c command/command.h common/debug.h common/error.auto.h common/error.h common/exit.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h config/config.auto.h config/config.h config/define.auto.h config/define.h perl/exec.h
+	$(CC) $(CFLAGS) -c common/exit.c -o common/exit.o
+
+common/fork.o: common/fork.c common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/fork.c -o common/fork.o
+
+common/ini.o: common/ini.c common/debug.h common/error.auto.h common/error.h common/ini.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c common/ini.c -o common/ini.o
+
+common/io/handle.o: common/io/handle.c common/debug.h common/error.auto.h common/error.h common/io/handle.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/string.h
+	$(CC) $(CFLAGS) -c common/io/handle.c -o common/io/handle.o
+
+common/lock.o: common/lock.c common/assert.h common/debug.h common/error.auto.h common/error.h common/io/handle.h common/lock.h common/log.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/keyValue.h common/type/string.h common/type/stringList.h common/type/variant.h common/type/variantList.h common/wait.h storage/driver/posix/driverRead.h storage/driver/posix/driverWrite.h storage/fileRead.h storage/fileWrite.h storage/helper.h storage/info.h storage/storage.h version.h
+	$(CC) $(CFLAGS) -c common/lock.c -o common/lock.o
+
+common/log.o: common/log.c common/assert.h common/debug.h common/error.auto.h common/error.h common/log.h common/logLevel.h common/stackTrace.h common/time.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/log.c -o common/log.o
+
+common/memContext.o: common/memContext.c common/assert.h common/debug.h common/error.auto.h common/error.h common/logLevel.h common/memContext.h common/stackTrace.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/memContext.c -o common/memContext.o
+
+common/regExp.o: common/regExp.c common/debug.h common/error.auto.h common/error.h common/logLevel.h common/memContext.h common/regExp.h common/stackTrace.h common/type/buffer.h common/type/convert.h common/type/string.h
+	$(CC) $(CFLAGS) -c common/regExp.c -o common/regExp.o
+
+common/stackTrace.o: common/stackTrace.c common/assert.h common/error.auto.h common/error.h common/logLevel.h common/stackTrace.h
+	$(CC) $(CFLAGS) -c common/stackTrace.c -o common/stackTrace.o
+
+common/time.o: common/time.c common/debug.h common/logLevel.h common/stackTrace.h common/time.h common/type/convert.h
+	$(CC) $(CFLAGS) -c common/time.c -o common/time.o
+
