=== debian/changelog ===
pgbackrest (2.04-2) unstable; urgency=medium

  * d/rules:
    - Fix the documentation build process by adjusting the content of command
      output cache that is required to building the docs.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 07 Jul 2018 14:08:32 +0200

pgbackrest (2.04-1) unstable; urgency=medium

  * New Upstream release:
    - Critical Bug Fix for Backup Resume:
      **IMPORTANT NOTE**: This release fixes a critical bug in the
      backup resume feature. All resumed backups prior to this release should
      be considered inconsistent. A backup will be resumed after a prior
      backup fails, unless resume=n has been specified. A resumed backup can be
      identified by checking the backup log for the message "aborted backup of
      same type exists, will be cleaned to remove invalid files and resumed".
      If the message exists, do not use this backup or any backup in the same
      set for a restore and check the restore logs to see if a resumed backup
      was restored. If so, there may be inconsistent data in the cluster.
    - Bug Fixes:
      * Fix critical bug in resume that resulted in inconsistent
        backups. A regression in v0.82 removed the timestamp comparison when
        deciding which files from the aborted backup to keep on resume. See
        note above for more details.
      * Fix error in selective restore when only one user database exists in
        the cluster.
      * Fix non-compliant ISO-8601 timestamp format in S3 authorization
        headers. AWS and some gateways were tolerant of space rather than
        zero-padded hours while others were not.
    - Features:
      * PostgreSQL 11 Beta 2 support.
    - Improvements:
      * Improve the HTTP client to set content-length to 0 when not specified
        by the server. S3 (and gateways) always set content-length or
        transfer-encoding but HTTP 1.1 does not require it and proxies (e.g.
        HAProxy) may not include either.
      * Set search_path = 'pg_catalog' on PostgreSQL connections.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 06 Jul 2018 10:24:40 +0200

pgbackrest (2.03-1) unstable; urgency=medium

  * Drop C library.
  * Update Suggests. Include:
    - libio-socket-ssl-perl
    - libxml-libxml-perl
  * New Upstream release:
    - Bug Fixes:
      * Fix potential buffer overrun in error message handling.
      * Fix archive write lock being taken for the synchronous archive-get
        command.
    - Improvements:
      * Embed exported C functions and Perl modules directly into the
        pgBackRest executable.
      * Use time_t instead of __time_t for better portability.
      * Print total runtime in milliseconds at command end.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Tue, 29 May 2018 10:45:42 +0200
