=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9),
+               libio-socket-ssl-perl,
                libperl-dev,
-               libio-socket-ssl-perl,
                libssl-dev,
                libxml-checker-perl,
                libxml-libxml-perl,
@@ -22,7 +22,7 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: pgbackrest-doc
+Suggests: libio-socket-ssl-perl, libxml-libxml-perl, pgbackrest-doc
 Description: Reliable PostgreSQL Backup & Restore
  pgBackRest is a simple, reliable backup and restore system for PostgreSQL
  that can seamlessly scale up to the largest databases and workloads.
